scala.dbc.statement
class Insert

[source: `scala/dbc/statement/Insert.scala`]

`case` `class` Insert(`val` insertionTarget : java.lang.String, `val` insertionData : InsertionData)
  `extends` Status `with` Product

  An insertion of values into a table.

Method Summary
`override def` | equals (arg0 : Any) : Boolean
`override def` | hashCode : Int
`override final def` | productArity : Int return k for a product `A(x_1,...,x_k))`
`override final def` | productElement (arg0 : Int) : Any for a case class `A(x_1,...,x_k))`, returns `x_(i+1)` for `0 <= i < k`
`override final def` | productPrefix : java.lang.String By default the empty string. Implementations may override this method in order to prepend a string prefix to the result of the toString methods.
`def` | sqlString : java.lang.String A SQL-99 compliant string representation of the select statement.
`override def` | toString : java.lang.String

Methods inherited from Product
element, arity

Methods inherited from Status
execute, execute

Methods inherited from AnyRef
getClass, clone, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Method Details

`` `def` sqlString : java.lang.String

  A SQL-99 compliant string representation of the select statement.

Overrides
  Status.sqlString

`override` `def` hashCode : Int

`override` `def` toString : java.lang.String

`override` `def` equals(arg0 : Any) : Boolean

`override final` `def` productPrefix : java.lang.String

  By default the empty string. Implementations may override this method in order to prepend a string prefix to the result of the toString methods.

Overrides
  Product.productPrefix

`override final` `def` productArity : Int

  return k for a product `A(x_1,...,x_k))`

Overrides
  Product.productArity

`override final` `def` productElement(arg0 : Int) : Any

  for a case class `A(x_1,...,x_k))`, returns `x_(i+1)` for `0 <= i < k`

Parameters
  `n -` the position of the n-th element
Throws
  `IndexOutOfBoundsException -`
Returns
  ...

Overrides
  Product.productElement